Subject: Re: bug#16362: compiler disrespects referential integrity

From: Mark H Weaver <[email-masked]>
Date: Wed, 01 Oct 2014 15:04:00 -0400

tags 16362 + notabug wontfix
close 16362
thanks

I'm sorry that you came to depend on the undocumented behavior of
earlier versions of Guile, but the Scheme standards are quite clear that
literals are immutable and that no guarantees are made about preserving
object identity as seen by eq? or eqv?.  To my knowledge we never made
any promises that this would work, and we can't make it work properly in
the general case in our new ahead-of-time compilation model.

I'm closing this ticket.

      Mark